package main

import (
	"flag"
	"image"

	"git.nkpl.cc/twocookedfaggots/imageutils/pkg/dithering"
	"git.nkpl.cc/twocookedfaggots/imageutils/util"
)

var factor = flag.Float64("n", 0.75, "dithering effect 'magic' number")

func main() {
	flag.Parse()

	println(*factor)
	if err := util.ProcessStdio(func(img image.Image) image.Image {
		return dithering.Dithering{img, *factor}
	}); err != nil {
		panic(err)
	}
}
